Quassel IRC - Bug #1351

Failure to build with Qt-5.5
05/02/2015 10:20 PM - Krejzi

Status: Resolved Start date: 05/02/2015
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.11-pre 0S: Any
Description

/sources/quassel-0.12.2/src/common/peer.cpp: In function ‘QDataStream& operator<<(QDataStream&, PeerPtr)’:
/sources/quassel-0.12.2/src/common/peer.cpp:43:9: error: ambiguous overload for ‘operator<<’ (operand types are ‘QDataStream’
and ‘quint64 {aka long long unsigned int}’)

out << reinterpret_cast<quint64>(ptr);

A

In file included from /usr/include/qt5/QtCore/qgstring.h:41:0,

from /usr/include/qt5/QtCore/qobject.h:41,

from /usr/include/qt5/QtCore/qgiodevice.h:39,

from /usr/include/qt5/QtNetwork/gabstractsocket.h:37,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qchar.h:584:28: note: candidate: QDataStream& operator<<(QDataStream&, QChar)
Q_CORE_EXPORT QDataStream &operator<<(QDataStream &, QChar);

A

In file included from /ust/include/qt5/QtCore/glocale.h:37:0,

from /usr/include/qt5/QtCore/gtextstream.h:40,

from /usr/include/qt5/QtCore/qdebug.h:42,

from /usr/include/qt5/QtNetwork/qabstractsocket.h:40,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qvariant.h:534:28: note: candidate: QDataStreamé& operator<<(QDataStream&, const QVariant&)
Q_CORE_EXPORT QDataStream& operator<< (QDataStream& s, const QVariant& p);

A

In file included from /usr/include/qt5/QtCore/QDateTime:1:0,

from /sources/quassel-0.12.2/src/common/protocol.h:25,

from /sources/quassel-0.12.2/src/common/authhandler.h:26,

from /sources/quassel-0.12.2/src/common/peer.h:28,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qdatetime.h:342:28: note: candidate: QDataStream& operator<<(QDataStream&, const QDate&)
Q_CORE_EXPORT QDataStream &operator<<(QDataStream &, const QDate &);

A

/usr/include/qt5/QtCore/qdatetime.h:344:28: note: candidate: QDataStream& operator<<(QDataStream&, const QTime&)
Q_CORE_EXPORT QDataStream &operator<<(QDataStream &, const QTime &);

A

/sources/quassel-0.12.2/src/common/peer.cpp: In function ‘QDataStream& operator>>(QDataStream&, Peer*&)’:
/sources/quassel-0.12.2/src/common/peer.cpp:50:8: error: ambiguous overload for ‘operator>>" (operand types are ‘QDataStream’
and ‘quint64 {aka long long unsigned int}’)

in >> value;

A

In file included from /usr/include/qt5/QtCore/gstring.h:41:0,

from /usr/include/qt5/QtCore/qobject.h:41,

from /usr/include/qt5/QtCore/qiodevice.h:39,

from /usr/include/qt5/QtNetwork/qabstractsocket.h:37,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/gchar.h:585:28: note: candidate: QDataStream& operator>>(QDataStream&, QChar&) <near match>
Q_CORE_EXPORT QDataStream &operator>>(QDataStream &, QChar &);

A
/usr/include/qt5/QtCore/qchar.h:585:28: note: conversion of argument 2 would be ill-formed:
/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: conversion from ‘quint64 {aka long long unsigned int}’ to ‘QChar’ is
ambiguous

in >> value;

A

In file included from /usr/include/qt5/QtCore/gstring.h:41:0,

from /usr/include/qt5/QtCore/qobject.h:41,

from /usr/include/qt5/QtCore/qiodevice.h:39,

from /usr/include/qt5/QtNetwork/qabstractsocket.h:37,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:
/usr/include/qt5/QtCore/qchar.h:87:50: note: candidate: constexpr QChar::QChar(uchar)
QT_ASCII_CAST_WARN Q_DECL_CONSTEXPR explicit QChar(uchar c) : ucs(c) { }

A

/usr/include/qt5/QtCore/qchar.h:85:50: note: candidate: constexpr QChar::QChar(char)
QT_ASCII_CAST_WARN Q_DECL_CONSTEXPR explicit QChar(char c) : ucs(uchar(c)) { }
A

/usr/include/qt5/QtCore/qchar.h:80:22: note: candidate: constexpr QChar::QChar(int)
Q_DECL_CONSTEXPR QChar(int rc) : ucs(ushort(rc & 0xffff)){}

A

/usr/include/qt5/QtCore/qchar.h:79:22: note: candidate: constexpr QChar::QChar(uint)
Q_DECL_CONSTEXPR QChar(uint rc) : ucs(ushort(rc & 0xffff)){}

A

/usr/include/qt5/QtCore/qchar.h:78:22: note: candidate: constexpr QChar::QChar(short int)
Q_DECL_CONSTEXPR QChar(short rc) : ucs(ushort(rc)){} // implicit

A

/usr/include/qt5/QtCore/qchar.h:76:22: note: candidate: constexpr QChar::QChar(ushort)
Q_DECL_CONSTEXPR QChar(ushort rc) : ucs(rc){} // implicit
A

In file included from /usr/include/qt5/QtCore/qgstring.h:42:0,

from /usr/include/qt5/QtCore/qobject.h:41,

from /ustr/include/qt5/QtCore/qiodevice.h:39,

from /usr/include/qt5/QtNetwork/gabstractsocket.h:37,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:
/usr/include/qt5/QtCore/gbytearray.h:663:28: note: candidate: QDataStream& operator>>(QDataStream&, QByteArray&) <near
match>

Q_CORE_EXPORT QDataStream &operator>>(QDataStream &, QByteArray &);
A

/usr/include/qt5/QtCore/gbytearray.h:663:28: note: conversion of argument 2 would be ill-formed:
/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid user-defined conversion from ‘quint64 {aka long long unsigned
int}’ to ‘QByteArray&’ [-fpermissive]

in >> value;

A

In file included from /usr/include/qt5/QtCore/qgstring.h:42:0,

from /usr/include/qt5/QtCore/qobject.h:41,

from /ustr/include/qt5/QtCore/qiodevice.h:39,

from /usr/include/qt5/QtNetwork/gabstractsocket.h:37,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/gbytearray.h:178:5: note: candidate is: QByteArray::QByteArray(const char*, int) <near match>
QByteArray(const char , int size = -1);

A

/usr/include/qt5/QtCore/qbytearray.h:178:5: note: conversion of argument 1 would be ill-formed:
/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid conversion from ‘quint64 {aka long long unsigned int}’
to ‘const char’ [-fpermissive]

in >> value;

A

/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid conversion from ‘quint64 {aka long long unsigned int}’ to ‘const
char” [-fpermissive]

In file included from /usr/include/qt5/QtCore/qgstring.h:42:0,

from /usr/include/qt5/QtCore/qobject.h:41,

from /usr/include/qt5/QtCore/qgiodevice.h:39,

from /usr/include/qt5/QtNetwork/gabstractsocket.h:37,
from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/gbytearray.h:178:5: note: initializing argument 1 of ‘QByteArray::QByteArray(const char*, int)’
QByteArray(const char , int size = -1);

A

/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: conversion to non-const reference type ‘class QByteArray&’
from rvalue of type ‘QByteArray’ [-fpermissive]

in >> value;

A

In file included from /usr/include/qt5/QtCore/qobject.h:41:0,

from /usr/include/qt5/QtCore/qiodevice.h:39,

from /usr/include/qt5/QtNetwork/gabstractsocket.h:37,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qstring.h:1327:28: note: candidate: QDataStream& operator>>(QDataStream&, QString&) <near
match>

Q_CORE_EXPORT QDataStream &operator>>(QDataStream &, QString &);

A

/usr/include/qt5/QtCore/qstring.h:1327:28: note: conversion of argument 2 would be ill-formed:
/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid user-defined conversion from ‘quint64 {aka long long
unsigned int}’ to ‘QString&’ [-fpermissive]

in >> value;

A

In file included from /usr/include/qt5/QtCore/qobject.h:41:0,

from /usr/include/qt5/QtCore/giodevice.h:39,

from /usr/include/qt5/QtNetwork/qabstractsocket.h:37,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qstring.h:649:31: note: candidate is: QString::QString(const char) <near match>

inline QT_ASCII_CAST_WARN QString(const char ch)

A

/usr/include/qt5/QtCore/qstring.h:649:31: note: conversion of argument 1 would be ill-formed:
/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid conversion from ‘quint64 {aka long long unsigned int}’
to ‘const char’ [-fpermissive]

in >> value;

A

/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid conversion from ‘quint64 {aka long long unsigned int}’ to ‘const
char” [-fpermissive]

In file included from /usr/include/qt5/QtCore/qobject.h:41:0,

from /usr/include/qt5/QtCore/qgiodevice.h:39,

from /usr/include/qt5/QtNetwork/gabstractsocket.h:37,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qgstring.h:649:31: note: initializing argument 1 of ‘QString::QString(const char*)’

inline QT_ASCII_CAST_WARN QString(const char ch)

A

/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: conversion to non-const reference type ‘class QString&’ from
rvalue of type ‘QString’ [-fpermissive]

in >> value;

A

In file included from /usr/include/qt5/QtCore/qlocale.h:37:0,

from /usr/include/qt5/QtCore/qtextstream.h:40,

from /usr/include/qt5/QtCore/qdebug.h:42,

from /usr/include/qt5/QtNetwork/qabstractsocket.h:40,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qvariant.h:533:28: note: candidate: QDataStream& operator>>(QDataStream&, QVariant&) <near
match>

Q_CORE_EXPORT QDataStream& operator>> (QDataStream& s, QVariant& p);

A

/usr/include/qt5/QtCore/qvariant.h:533:28: note: conversion of argument 2 would be ill-formed:
/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid initialization of non-const reference of type ‘QVariant&’
from an rvalue of type ‘QVariant’

in >> value;

A

In file included from /usr/include/qt5/QtCore/qlocale.h:37:0,
from /usr/include/qt5/QtCore/qtextstream.h:40,

from /usr/include/qt5/QtCore/qdebug.h:42,

from /usr/include/qt5/QtNetwork/gabstractsocket.h:40,
from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:
/usr/include/qt5/QtCore/qvariant.h:207:5: note: after user-defined conversion: QVariant::QVariant(qulonglong)
QVariant(qulonglong ull);

A

/usr/include/qt5/QtCore/qvariant.h:535:28: note: candidate: QDataStream& operator>>(QDataStream&, QVariant::Type&)
<near match>

Q_CORE_EXPORT QDataStream& operator>> (QDataStream& s, QVariant::Type& p);

A

/usr/include/qt5/QtCore/qvariant.h:535:28: note: conversion of argument 2 would be ill-formed:
/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid conversion from ‘quint64 {aka long long unsigned int}’
to ‘QVariant::Type’ [-fpermissive]

in >> value;

A

/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: cannot bind rvalue ‘(QVariant::Type)value’ to ‘QVariant::Type&’
In file included from /usr/include/qt5/QtCore/qtextstream.h:40:0,

from /usr/include/qt5/QtCore/qdebug.h:42,

from /usr/include/qt5/QtNetwork/qabstractsocket.h:40,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qlocale.h:1011:28: note: candidate: QDataStream& operator>>(QDataStream&, QLocale&) <near
match>

Q_CORE_EXPORT QDataStream &operator>>(QDataStream &, QLocale &);

A

/usr/include/qt5/QtCore/qlocale.h:1011:28: note: conversion of argument 2 would be ill-formed:
/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid user-defined conversion from ‘quint64 {aka long long
unsigned int}’ to ‘QLocale&’ [-fpermissive]

in >> value;

A

In file included from /usr/include/qt5/QtCore/qtextstream.h:40:0,

from /usr/include/qt5/QtCore/qdebug.h:42,

from /usr/include/qt5/QtNetwork/qabstractsocket.h:40,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qlocale.h:855:5: note: candidate is: QLocale::QLocale(QLocale::Language, QLocale::Country) <near
match>

QLocale(Language language, Country country = AnyCountry);

A

/usr/include/qt5/QtCore/qlocale.h:855:5: note: conversion of argument 1 would be ill-formed:
/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid conversion from ‘quint64 {aka long long unsigned int}’
to ‘QLocale::Language’ [-fpermissive]

in >> value;

A

/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid conversion from ‘quint64 {aka long long unsigned int}’
to ‘QLocale::Language’ [-fpermissive]

In file included from /usr/include/qt5/QtCore/qtextstream.h:40:0,

from /usr/include/qt5/QtCore/qdebug.h:42,

from /usr/include/qt5/QtNetwork/qabstractsocket.h:40,

from /usr/include/qt5/QtNetwork/QAbstractSocket:1,

from /sources/quassel-0.12.2/src/common/peer.h:24,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qlocale.h:855:5: note: initializing argument 1 of ‘QLocale::QLocale(QLocale::Language,
QLocale::Country)’

QLocale(Language language, Country country = AnyCountry);

A

/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: conversion to non-const reference type ‘class QLocale&’ from
rvalue of type ‘QLocale’ [-fpermissive]
in >> value;

A

In file included from /usr/include/qt5/QtCore/QDateTime:1:0,

from /sources/quassel-0.12.2/src/common/protocol.h:25,

from /sources/quassel-0.12.2/src/common/authhandler.h:26,

from /sources/quassel-0.12.2/src/common/peer.h:28,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qdatetime.h:343:28: note: candidate: QDataStream& operator>>(QDataStream&, QDate&) <near
match>

Q_CORE_EXPORT QDataStream &operator>>(QDataStream &, QDate &);

A

/usr/include/qt5/QtCore/qdatetime.h:343:28: note: conversion of argument 2 would be ill-formed:
/usr/include/qt5/QtCore/qdatetime.h:62:22: error: ‘constexpr QDate::QDate(qint64)’ is private

Q_DECL_CONSTEXPR QDate(qint64 julianDay) : jd(julianDay) {}

A

/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: within this context

in >> value;

A

/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid initialization of non-const reference of type ‘QDate&’
from an rvalue of type ‘QDate’

In file included from /usr/include/qt5/QtCore/QDateTime:1:0,

from /sources/quassel-0.12.2/src/common/protocol.h:25,

from /sources/quassel-0.12.2/src/common/authhandler.h:26,

from /sources/quassel-0.12.2/src/common/peer.h:28,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qdatetime.h:62:22: note: after user-defined conversion: constexpr QDate::QDate(qint64)
Q_DECL_CONSTEXPR QDate(qint64 julianDay) : jd(julianDay) {}

A

/usr/include/qt5/QtCore/qdatetime.h:345:28: note: candidate: QDataStream& operator>>(QDataStream&, QTime&) <near
match>

Q_CORE_EXPORT QDataStream &operator>>(QDataStream &, QTime &);

A

/usr/include/qt5/QtCore/qdatetime.h:345:28: note: conversion of argument 2 would be ill-formed:
/usr/include/qt5/QtCore/qdatetime.h:141:22: error: ‘constexpr QTime::QTime(int)’ is private

Q_DECL_CONSTEXPR QTime(int ms) : mds(ms)

A

/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: within this context

in >> value;

A

/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid initialization of non-const reference of type ‘QTime&’
from an rvalue of type ‘QTime’

In file included from /usr/include/qt5/QtCore/QDateTime:1:0,

from /sources/quassel-0.12.2/src/common/protocol.h:25,

from /sources/quassel-0.12.2/src/common/authhandler.h:26,

from /sources/quassel-0.12.2/src/common/peer.h:28,

from /sources/quassel-0.12.2/src/common/peer.cpp:21:

/usr/include/qt5/QtCore/qdatetime.h:141:22: note: after user-defined conversion: constexpr QTime::QTime(int)
Q_DECL_CONSTEXPR QTime(int ms) : mds(ms)

A

/sources/quassel-0.12.2/src/common/peer.cpp:47:14: note: candidate: QDataStream& operator>>(QDataStream&, Peer*&)
<near match>

QDataStream &operator>>(QDataStream &in, PeerPtr &ptr)

A

/sources/quassel-0.12.2/src/common/peer.cpp:47:14: note: conversion of argument 2 would be ill-formed:
/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: invalid conversion from ‘quint64 {aka long long unsigned int}
to ‘PeerPtr {aka Peer}’ [-fpermissive]

in >> value;

A

/sources/quassel-0.12.2/src/common/peer.cpp:50:11: error: cannot bind rvalue ‘(PeerPtr)value’ to ‘Peer*&’

History

#1 - 05/02/2015 11:08 PM - Krejzi
- File 0001-Fix-build-with-Qt-5.5.patch added

The following patch fixes the build.
#2 - 06/14/2021 06:05 AM - phuzion

- Status changed from New to Resolved

https://github.com/quassel/quassel/pull/142

This patch has been merged.

Files

0001-Fix-build-with-Qt-5.5.patch 1.56 KB

05/06/2025

05/02/2015

6/6

Krejzi
